//mob.h
#ifndef MOB_H
#define MOB_H

class MobClass
{
public:
	MobClass();
	~MobClass() {}

	sf::Vector2f pos;
	sf::Vector2f vel;
	sf::Sprite frame;
	bool isLeft;
	bool isJumping;
	bool isFalling;
	int jumptime;
	int maxjump;
	sf::Clock attackClock;
	sf::Clock dyingClock;
	bool isAttacking;
	bool isDying;
	bool isDead;
	bool isDropped;
	int mobStyle;

	sf::IntRect getBoundingBox();

	void loadFrame(sf::Image& img, int index); //assumes 32x32 tiles only
	void render(sf::RenderWindow& win, sf::Image& spritesheet);
	void setLeft(bool val) {isLeft=val;}
	void setMobStyle(int val) {mobStyle=val;}

	void update(MapClass& m);
};

#endif//MOB_H